Problem creating test database

Hello All,

I am trying to create a test data base for my application and i used
the rake task
'rake db:test:prepare --trace' .I am getting the following error.it
complains for test.rb file missing where in my application has the
test.rb file

below is the trace of the log

(in D:/workspace_dialedin/trunk)
D:0:Warning: require_gem is obsolete. Use gem instead.
** Invoke db:test:prepare (first_time)
** Invoke environment (first_time)
** Execute environment
rake aborted!
No such file or directory - D:/workspace_dialedin/trunk/config/
environments/'test'.rb
C:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.4/lib/initializer.rb:209:in
`read'
C:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.4/lib/initializer.rb:209:in
`load_environment'
C:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.3/lib/active_support/
core_ext/kernel/reporting.rb:1
1:in `silence_warnings'
C:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.4/lib/initializer.rb:205:in
`load_environment'
C:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.4/lib/initializer.rb:89:in
`process'
C:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.4/lib/initializer.rb:47:in
`send'
C:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.4/lib/initializer.rb:47:in
`run'
D:/workspace_dialedin/trunk/config/../config/environment.rb:21
C:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`gem_original_require'
C:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
`require'
C:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.3/lib/active_support/
dependencies.rb:495:in `requir
e'
C:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.3/lib/active_support/
dependencies.rb:342:in `new_co
nstants_in'
C:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.3/lib/active_support/
dependencies.rb:495:in `requir
e'
C:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.4/lib/tasks/misc.rake:3
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:392:in `call'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:392:in `execute'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:392:in `each'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:392:in `execute'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:362:in `invoke'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:355:in
`synchronize'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:355:in `invoke'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:369:in
`invoke_prerequisites'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1003:in `each'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1003:in `send'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1003:in `each'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:368:in
`invoke_prerequisites'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:361:in `invoke'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:355:in
`synchronize'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:355:in `invoke'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1739:in
`top_level'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1739:in `each'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1739:in
`top_level'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1761:in
`standard_exception_handling'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1733:in
`top_level'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1711:in `run'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1761:in
`standard_exception_handling'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1708:in `run'
C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/bin/rake:7
C:/ruby/bin/rake.bat:20:in `load'
C:/ruby/bin/rake.bat:20

what could be the reason

Thanks
Jagan